Firmware versions
Update firmware version
Authorization
API key Firmwares: writeAuthorizationBearer <token>
API key (sf_...) with any of the required scopes. Generate it in the Spotflow portal on the settings page.
In: header
Scope: Firmwares: write
Path Parameters
workspaceId*string
Format
uuidfirmwareId*string
firmwareVersionId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
name*string
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
curl -X PUT "https://example.com/workspaces/00000000-0000-0000-0000-000000000001/firmwares/q8Fd53pLn1Yr/versions/r2Kt75mXc8Vd" \ -H "Content-Type: application/json" \ -d '{ "name": "2.4.2" }'Updated firmware version.
{ "id": "r2Kt75mXc8Vd", "name": "2.4.1", "createdAt": "2026-01-10T15:30:00+00:00", "assignedSymbolFilesCount": 1, "firmwareImageId": "y7Bs21fWn5Hk", "isUsedInDeployment": true, "deviceCount": 218}